Editing:
* The upstream template-live-editor2 needs to pass all its manual tests.

### Text editor widget

Mouse clicks:
  - clicking moves cursor to point clicked at
  - click to left of line positions cursor at start of screen line
    - if the screen line is a continuing line, cursor is also visible at end of previous screen line
  - click on empty line
  - click on wrapping line rendered from partway at top of screen
  - click past end of wrapping line
  - click past end of word wrapping line
  - click above first line on screen positions cursor at first location on screen
  - click below final line of file positions cursor at final location of file

Selecting text:
  - select text using shift and cursor movement operations
  - cursor movement without shift resets selection
  - select text using shift and mouse click
    - select text repeatedly using shift and mouse click
  - mouse click without shift resets selection
    - either inside the selection or outside
  - dragging mouse over text selects text

Editing in the presence of a selection:
  - edit deletes selection
  - edit with shift key deletes selection
  - deleting selection may scroll
  - copy does not reset selection
  - cut
  - cut without selection
  - paste replaces selection
  - select entire file contents using ctrl+a
    - file can now be cleared by pressing backspace or delete IF final line is visible on screen
    - pressing keys has no effect if cursor is not visible on screen

### Environment

Initializing settings:
  - from previous session
  - from defaults
    - `default_map` absent/present

  - run with an untested version of LÖVE. Error message pops up and waits for a key. The app attempts to continue, and doesn't receive the key.
  - run with a LÖVE v12 release candidate. No errors; it is a supported version.
  - include an error in on.initialize. Start app. See error message. Fix on.initialize using driver.love.

Code loading:
  - run love with directory
  - run love with zip file
